Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ox
Class XMLUnmarshaller

`java.lang.Object
oracle.toplink.ox.XMLUnmarshaller`

public class XMLUnmarshaller
extends java.lang.Object

Class used to unmarshal XML to objects.

Create an XMLUnmarshaller from an XMLContext.
Code Sample
`XMLContext context = new XMLContext("mySessionName");
XMLUnmarshaller unmarshaller = context.createUnmarshaller();
`

XML can be unmarshalled from the following inputs:

- java.io.File
- java.io.InputStream
- java.io.Reader
- java.net.URL
- javax.xml.transform.Source
- org.w3c.dom.Node
- org.xml.sax.InputSource

XML that can be unmarshalled is XML which has a root tag that corresponds to a default root element on an XMLDescriptor in the TopLink project associated with the XMLContext.

See Also:
  `XMLContext`

Field Summary
`static int` | `DTD_VALIDATION`
`static int` | `NONVALIDATING`
`static int` | `SCHEMA_VALIDATION`

Method Summary
`org.xml.sax.EntityResolver` | `getEntityResolver()` Get the EntityResolver set on this XMLUnmarshaller
`org.xml.sax.ErrorHandler` | `getErrorHandler()` Get the ErrorHandler set on this XMLUnmarshaller
`XMLUnmarshallerHandler` | `getUnmarshallerHandler()`
`int` | `getValidationMode()` Get the validation mode set on this XMLUnmarshaller By default, the unmarshaller is set to be NONVALIDATING
`void` | `setEntityResolver(org.xml.sax.EntityResolver entityResolver)` Set the EntityResolver on this XMLUnmarshaller
`void` | `setErrorHandler(org.xml.sax.ErrorHandler errorHandler)` Set the ErrorHandler on this XMLUnmarshaller
`void` | `setValidationMode(int validationMode)` Set the validation mode.
`java.lang.Object` | `unmarshal(java.io.File file)` PUBLIC: Read and parse the XML document from the file and map the XML data into an object.
`java.lang.Object` | `unmarshal(java.io.File file, java.lang.Class clazz)` PUBLIC: Read and parse the XML document from the file and map the XML data into an object.
`java.lang.Object` | `unmarshal(org.xml.sax.InputSource inputSource)` PUBLIC: Read and parse the XML document from the inputSource and map the XML data into an object.
`java.lang.Object` | `unmarshal(org.xml.sax.InputSource inputSource, java.lang.Class clazz)` PUBLIC: Read and parse the XML document from the inputSource and map the XML data into an object.
`java.lang.Object` | `unmarshal(java.io.InputStream inputStream)` PUBLIC: Read and parse the XML document from the inputStream and map the XML data into an object.
`java.lang.Object` | `unmarshal(java.io.InputStream inputStream, java.lang.Class clazz)` PUBLIC: Read and parse the XML document from the inputStream and map the XML data into an object.
`java.lang.Object` | `unmarshal(org.w3c.dom.Node node)` PUBLIC: Map the XML node into an object.
`java.lang.Object` | `unmarshal(org.w3c.dom.Node node, java.lang.Class clazz)` PUBLIC: Map the XML node into an object.
`java.lang.Object` | `unmarshal(java.io.Reader reader)` PUBLIC: Read and parse the XML document from the reader and map the XML data into an object.
`java.lang.Object` | `unmarshal(java.io.Reader reader, java.lang.Class clazz)` PUBLIC: Read and parse the XML document from the reader and map the XML data into an object.
`java.lang.Object` | `unmarshal(javax.xml.transform.Source source)` PUBLIC: Read and parse the XML document from the source and map the XML data into an object.
`java.lang.Object` | `unmarshal(javax.xml.transform.Source source, java.lang.Class clazz)` PUBLIC: Read and parse the XML document from the source and map the XML data into an object.
`java.lang.Object` | `unmarshal(java.net.URL url)` PUBLIC: Read and parse the XML document from the url and map the XML data into an object.
`java.lang.Object` | `unmarshal(java.net.URL url, java.lang.Class clazz)` PUBLIC: Read and parse the XML document from the url and map the XML data into an object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONVALIDATING

    public static final int NONVALIDATING

  See Also:
    Constant Field Values

### SCHEMA_VALIDATION

    public static final int SCHEMA_VALIDATION

  See Also:
    Constant Field Values

### DTD_VALIDATION

    public static final int DTD_VALIDATION

  See Also:
    Constant Field Values

Method Detail

### getValidationMode

    public int getValidationMode()

  Get the validation mode set on this XMLUnmarshaller By default, the unmarshaller is set to be NONVALIDATING
  Returns:
    the validation mode

### setValidationMode

    public void setValidationMode(int validationMode)

  Set the validation mode. This method sets the validation mode of the parser to one of the 3 types: NONVALIDATING, DTD_VALIDATION and SCHEMA_VALIDATION. By default, the unmarshaller is set to be NONVALIDATING
  Parameters:
    `validationMode` - sets the type of the validation mode to be used

### getEntityResolver

    public org.xml.sax.EntityResolver getEntityResolver()

  Get the EntityResolver set on this XMLUnmarshaller
  Returns:
    the EntityResolver set on this XMLUnmarshaller

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver entityResolver)

  Set the EntityResolver on this XMLUnmarshaller
  Parameters:
    `entityResolver` - the EntityResolver to set on this XMLUnmarshaller

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

  Get the ErrorHandler set on this XMLUnmarshaller
  Returns:
    the ErrorHandler set on this XMLUnmarshaller

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler errorHandler)

  Set the ErrorHandler on this XMLUnmarshaller
  Parameters:
    `errorHandler` - the ErrorHandler to set on this XMLUnmarshaller

### unmarshal

    public java.lang.Object unmarshal(java.io.File file)
                               throws XMLMarshalException

  PUBLIC: Read and parse the XML document from the file and map the XML data into an object. The file must contain a valid XML document, and be mapped by a project used to create the XMLContext. The type of object returned will be based on the root element of the XML document.
  Parameters:
    `file` - The file to unmarshal from
  Returns:
    the object which resulted from unmarshalling the given file
  Throws:
    `XMLMarshalException` - if an error occurred during unmarshalling

### unmarshal

    public java.lang.Object unmarshal(java.io.File file,
                                      java.lang.Class clazz)
                               throws XMLMarshalException

  PUBLIC: Read and parse the XML document from the file and map the XML data into an object. The file must contain a valid XML document, and be mapped by a project used to create the XMLContext.
  Parameters:
    `file` - The file to unmarshal from
    `clazz` - The type of object to return.
  Returns:
    the object which resulted from unmarshalling the given file
  Throws:
    `XMLMarshalException` - if an error occurred during unmarshalling

### unmarshal

    public java.lang.Object unmarshal(java.io.InputStream inputStream)
                               throws XMLMarshalException

  PUBLIC: Read and parse the XML document from the inputStream and map the XML data into an object. The inputStream must contain a valid XML document, and be mapped by a project used to create the XMLContext. The type of object returned will be based on the root element of the XML document.
  Parameters:
    `inputStream` - The inputStream to unmarshal from
  Returns:
    the object which resulted from unmarshalling the given inputStream
  Throws:
    `XMLMarshalException` - if an error occurred during unmarshalling

### unmarshal

    public java.lang.Object unmarshal(java.io.InputStream inputStream,
                                      java.lang.Class clazz)
                               throws XMLMarshalException

  PUBLIC: Read and parse the XML document from the inputStream and map the XML data into an object. The file must contain a valid XML document, and be mapped by a project used to create the XMLContext.
  Parameters:
    `inputStream` - The inputStream to unmarshal from
    `clazz` - The type of object to return.
  Returns:
    the object which resulted from unmarshalling the given inputStream
  Throws:
    `XMLMarshalException` - if an error occurred during unmarshalling

### unmarshal

    public java.lang.Object unmarshal(java.io.Reader reader)
                               throws XMLMarshalException

  PUBLIC: Read and parse the XML document from the reader and map the XML data into an object. The reader must contain a valid XML document, and be mapped by a project used to create the XMLContext. The type of object returned will be based on the root element of the XML document.
  Parameters:
    `reader` - The reader to unmarshal from
  Returns:
    the object which resulted from unmarshalling the given reader
  Throws:
    `XMLMarshalException` - if an error occurred during unmarshalling

### unmarshal

    public java.lang.Object unmarshal(java.io.Reader reader,
                                      java.lang.Class clazz)
                               throws XMLMarshalException

  PUBLIC: Read and parse the XML document from the reader and map the XML data into an object. The file must contain a valid XML document, and be mapped by a project used to create the XMLContext.
  Parameters:
    `reader` - The reader to unmarshal from
    `clazz` - The type of object to return.
  Returns:
    the object which resulted from unmarshalling the given reader
  Throws:
    `XMLMarshalException` - if an error occurred during unmarshalling

### unmarshal

    public java.lang.Object unmarshal(java.net.URL url)
                               throws XMLMarshalException

  PUBLIC: Read and parse the XML document from the url and map the XML data into an object. The url must reference a valid XML document, and be mapped by a project used to create the XMLContext. The type of object returned will be based on the root element of the XML document.
  Parameters:
    `url` - The url to unmarshal from
  Returns:
    the object which resulted from unmarshalling the given url
  Throws:
    `XMLMarshalException` - if an error occurred during unmarshalling

### unmarshal

    public java.lang.Object unmarshal(java.net.URL url,
                                      java.lang.Class clazz)
                               throws XMLMarshalException

  PUBLIC: Read and parse the XML document from the url and map the XML data into an object. The url must reference a valid XML document, and be mapped by a project used to create the XMLContext.
  Parameters:
    `url` - The url to unmarshal from
    `clazz` - The type of object to return.
  Returns:
    the object which resulted from unmarshalling the given url
  Throws:
    `XMLMarshalException` - if an error occurred during unmarshalling

### unmarshal

    public java.lang.Object unmarshal(org.xml.sax.InputSource inputSource)
                               throws XMLMarshalException

  PUBLIC: Read and parse the XML document from the inputSource and map the XML data into an object. The inputSource must contain a valid XML document, and be mapped by a project used to create the XMLContext. The type of object returned will be based on the root element of the XML document.
  Parameters:
    `inputSource` - The inputSource to unmarshal from
  Returns:
    the object which resulted from unmarshalling the given inputSource
  Throws:
    `XMLMarshalException` - if an error occurred during unmarshalling

### unmarshal

    public java.lang.Object unmarshal(org.xml.sax.InputSource inputSource,
                                      java.lang.Class clazz)
                               throws XMLMarshalException

  PUBLIC: Read and parse the XML document from the inputSource and map the XML data into an object. The inputSource must contain a valid XML document, and be mapped by a project used to create the XMLContext.
  Parameters:
    `inputSource` - The inputSource to unmarshal from
    `clazz` - The type of object to return.
  Returns:
    the object which resulted from unmarshalling the given inputSource
  Throws:
    `XMLMarshalException` - if an error occurred during unmarshalling

### unmarshal

    public java.lang.Object unmarshal(org.w3c.dom.Node node)
                               throws XMLMarshalException

  PUBLIC: Map the XML node into an object. The node must be a valid XML document, and be mapped by a project used to create the XMLContext.
  Parameters:
    `node` - The node to unmarshal from
  Returns:
    the object which resulted from unmarshalling the given node
  Throws:
    `XMLMarshalException` - if an error occurred during unmarshalling

### unmarshal

    public java.lang.Object unmarshal(org.w3c.dom.Node node,
                                      java.lang.Class clazz)
                               throws XMLMarshalException

  PUBLIC: Map the XML node into an object. The node must be a valid XML document, and be mapped by a project used to create the XMLContext.
  Parameters:
    `node` - The node to unmarshal from
    `clazz` - The type of object to return.
  Returns:
    the object which resulted from unmarshalling the given node
  Throws:
    `XMLMarshalException` - if an error occurred during unmarshalling

### unmarshal

    public java.lang.Object unmarshal(javax.xml.transform.Source source)
                               throws XMLMarshalException

  PUBLIC: Read and parse the XML document from the source and map the XML data into an object. The source must contain a valid XML document, and be mapped by a project used to create the XMLContext. The type of object returned will be based on the root element of the XML document.
  Parameters:
    `source` - The source to unmarshal from
  Returns:
    the object which resulted from unmarshalling the given source
  Throws:
    `XMLMarshalException` - if an error occurred during unmarshalling

### unmarshal

    public java.lang.Object unmarshal(javax.xml.transform.Source source,
                                      java.lang.Class clazz)
                               throws XMLMarshalException

  PUBLIC: Read and parse the XML document from the source and map the XML data into an object. The source must contain a valid XML document, and be mapped by a project used to create the XMLContext.
  Parameters:
    `source` - The inputSource to unmarshal from
    `clazz` - The type of object to return.
  Returns:
    the object which resulted from unmarshalling the given source
  Throws:
    `XMLMarshalException` - if an error occurred during unmarshalling

### getUnmarshallerHandler

    public XMLUnmarshallerHandler getUnmarshallerHandler()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD